﻿/*
Copyright (c) 2013 Rion Carter

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
 */
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using RestSharp;
using Newtonsoft.Json;
using Newtonsoft.Json.Serialization;
using Newtonsoft.Json.Linq;

using Rubion.OwnCloud;

namespace AmpacheTestClient {
    class Program {
        static RestClient Client = new RestClient();                                    // Base REST Client
        static System.Net.CookieContainer Cookies = new System.Net.CookieContainer();   // Cookie Jar for owncloud authentication tokens

        static void Main(string[] args) {
            OcClient OwnCloudClient = new OcClient("http://192.168.78.135/owncloud", "Admin", "TestUserPasword");
            JObject MusicCollection = OwnCloudClient.GetAvailableMusic();

            string SongStub = MusicCollection["songs"][0]["song_path"].ToString();

            var AudioBytes = OwnCloudClient.GetAudioFile(SongStub);

            File.WriteAllBytes(@"c:\users\public\testmusic.mp3", AudioBytes);
        }
    }
}
